<?php

header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");

include_once '../config/database.php'; 
include_once '../objects/staff.php'; 

$database = new Database();
$db = $database->getConnection();

$staff = new Staff($db);

$stmt = $staff->getAllRows();
$num = $stmt->rowCount();


$response = array();
$response["records"] = array();

if ($num > 0) {

    while ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
        extract($row); 

        $item = array(
            (int)$id,
            $name, 
            $position,
            $phone,
            $email,
            $nrc,
            $gender,
            $dob,
            $address,
            $join_date,
            $resign_date
        );


        array_push($response["records"], $item);
    }
}


http_response_code(200);
echo json_encode($response);
?>
